require 'fhir_client'
require 'redis-objects'

require_relative 'akido_lib/version'
require_relative './ext/rest_client'

require_relative './bundle'
require_relative './caching'
require_relative './query'

module AkidoLib
  include FHIR

  def self.setup(base_url, server_config = {})
    self::Model.client = AkidoLib::Client.new(base_url)

    self::Model.client.default_format = FHIR::Formats::ResourceFormat::RESOURCE_XML_DSTU2

    RestClient.set_config(server_config)
  end
end
