config = {
  :ssl_ca_file => "#{Rails.root}/config/ssl/ca.cert.pem"
}

if (cert_path = ENV["SSL_CERT_PATH"]) && 
    File.exist?("#{Rails.root}/#{cert_path}")
  raw_cert = File.read("#{Rails.root}/#{cert_path}")
  cert = OpenSSL::X509::Certificate.new(raw_cert)
  config[:ssl_client_cert] = cert
end

if (key_path = ENV['SSL_KEY_PATH']) &&
    File.exist?("#{Rails.root}/#{key_path}")
  raw_key = File.read("#{Rails.root}/#{key_path}")
  key = OpenSSL::PKey::RSA.new(raw_key, ENV['SSL_KEY_PASSPHRASE'])
  config[:ssl_client_key] = key
end

AkidoLib.setup(ENV['PLATFORM_URL'], config)
